Loading...
Searching...
No Matches
dolfin::GenericBoundingBoxTree::less_z_point Struct Reference

`#include <GenericBoundingBoxTree.h>`

## Public Member Functions

| less_z_point (const std::vector< Point > &points)
| Constructor.
bool | operator() (unsigned int i, unsigned int j)
| Comparison operator.

## Public Attributes

const std::vector< Point > & | points
| Points.

## Detailed Description

Comparison operator for sorting of points in z-direction. The corresponding comparison operators for bounding boxes are dimension-dependent and are therefore implemented in the subclasses.

The documentation for this struct was generated from the following file:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/geometry/GenericBoundingBoxTree.h